#32062 closed defect (fixed)

Onionoo release does not contain jetty-servlets JAR

Reported by: irl Owned by: metrics-team
Priority: Very High Milestone:
Component: Metrics/Onionoo Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

This took way too long to get to the bottom of.

The bug is hidden on our deployments because we have the packages installed from Debian, and also hidden on my dev machine for the same reason.

diff --git a/java/ivy.xml b/java/ivy.xml
index 19b2f4b..851c5d3 100644
--- a/java/ivy.xml
+++ b/java/ivy.xml
@@ -40,6 +40,7 @@
     <dependency org="org.eclipse.jetty" name="jetty-security" rev="9.2.21.v20170120" />
     <dependency org="org.eclipse.jetty" name="jetty-server" rev="9.2.21.v20170120" />
     <dependency org="org.eclipse.jetty" name="jetty-servlet" rev="9.2.21.v20170120" />
+    <dependency org="org.eclipse.jetty" name="jetty-servlets" rev="9.2.21.v20170120" />
     <dependency org="org.eclipse.jetty" name="jetty-util" rev="9.2.21.v20170120" />
     <dependency org="org.eclipse.jetty" name="jetty-webapp" rev="9.2.21.v20170120" />
     <dependency org="org.eclipse.jetty" name="jetty-xml" rev="9.2.21.v20170120" />

Child Tickets

Change History (3)

comment:1 Changed 10 months ago by karsten

Status: newneeds_information

Oops, good catch! Fixed in metrics-base and updated in Onionoo master. Want to give it another try?

comment:2 Changed 10 months ago by irl

Yep, that does it.

comment:3 Changed 10 months ago by karsten

Resolution: fixed
Status: needs_informationclosed

Great! Closing.

Note: See TracTickets for help on using tickets.